- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# sf_volume_access_group_manager – Manage SolidFire Volume Access Groups

- DEPRECATED
- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## DEPRECATED

Removed in Ansible:
| version: 2.11
Why: | This Module has been replaced
Alternative: | please use na_elementsw_access_group

## Synopsis

- Create, destroy, or update volume access groups on SolidFire

## Requirements

The below requirements are needed on the host that executes this module.

- The modules were developed with SolidFire 10.1
- solidfire-sdk-python (1.1.0.92) or greater. Install using ‘pip install solidfire-sdk-python’

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
attributes - |  | List of Name/Value pairs in JSON object format.
hostname - / required |  | The hostname or IP address of the SolidFire cluster.
initiators - |  | List of initiators to include in the volume access group. If unspecified, the access group will start out without configured initiators.
name - / required |  | Name of the volume access group. It is not required to be unique, but recommended.
password - / required |  | Password for the specified user. aliases: pass
state - / required | Choices: present absent | Whether the specified volume access group should exist or not.
username - / required |  | Please ensure that the user has the adequate permissions. For more information, please read the official documentation https://mysupport.netapp.com/documentation/docweb/index.html?productID=62636&language=en-US. aliases: user
virtual_network_id - |  | The ID of the SolidFire Virtual Network ID to associate the volume access group with.
virtual_network_tags - |  | The ID of the VLAN Virtual Network Tag to associate the volume access group with.
volume_access_group_id - |  | The ID of the volume access group to modify or delete.
volumes - |  | List of volumes to initially include in the volume access group. If unspecified, the access group will start without any volumes.

## Notes

Note

- The modules prefixed with na\_elementsw are built to support the SolidFire storage platform.

## Examples

    - name: Create Volume Access Group
      sf_volume_access_group_manager:
        hostname: "{{ solidfire_hostname }}"
        username: "{{ solidfire_username }}"
        password: "{{ solidfire_password }}"
        state: present
        name: AnsibleVolumeAccessGroup
        volumes: [7,8]

    - name: Modify Volume Access Group
      sf_volume_access_group_manager:
        hostname: "{{ solidfire_hostname }}"
        username: "{{ solidfire_username }}"
        password: "{{ solidfire_password }}"
        state: present
        volume_access_group_id: 1
        name: AnsibleVolumeAccessGroup-Renamed
        attributes: {"volumes": [1,2,3], "virtual_network_id": 12345}

    - name: Delete Volume Access Group
      sf_volume_access_group_manager:
        hostname: "{{ solidfire_hostname }}"
        username: "{{ solidfire_username }}"
        password: "{{ solidfire_password }}"
        state: absent
        volume_access_group_id: 1

## Status

- This module will be removed in version 2.11. [deprecated]
- For more information see DEPRECATED.

### Authors

- Sumit Kumar (@timuster) <sumit4@netapp.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.